# Block Visitor

Block Visitor contains a particular contact gets blocked until a certain period of time or for some reason.

### Attributes&#x20;

| ATTRIBUTE | TYPE              | DESCRIPTION                                                                                                                      |
| --------- | ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| count     | Integer           | Represents the number of records exists                                                                                          |
| data      | JSON object       | Information which contains the blocked contact details such as id,dataCreated,blockTill, blockedBy and the user blocked details. |
| users     | JSON Array Object | Specify the User details which includes firstname,lastname,id,type,status,name,email,phone,photo,language                        |

## **Permissions**

To request a block visitor endpoint you will need a valid API Key with the block contacts access permissions enabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/settings/security/security-block-visitor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
